ResourceEnvFactory (Tomcat API Documentation)
Keywords: org.apache.naming.factory.ResourceEnvFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory
Class ResourceEnvFactory

    java.lang.Object
      org.apache.naming.factory.ResourceEnvFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class ResourceEnvFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Object factory for Resources env.

Version:
  $Revision: 466608 $ $Date: 2006-10-21 17:10:15 -0600 (Sat, 21 Oct 2006) $
Author:
  Remy Maucherat

Constructor Summary
`ResourceEnvFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Crete a new Resource env instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceEnvFactory

    public ResourceEnvFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Crete a new Resource env instance.

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `obj` - The reference object describing the DataSource
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.